#include <chrono>
#include <thread>
#include "Arduino.h"

auto pin = 13;

void setup()
{
  Serial.begin( 9600 );
  pinMode( pin, OUTPUT );
}

void loop()
{
  static int counter = 0;

  // Print the cycle number
  Serial.print( "Cycle # " );
  Serial.println( counter );
  counter++;

  // Led blink just to check if Teensy is alive
  digitalWrite( pin, HIGH );
  delay( 50 );
  digitalWrite( pin, LOW );
  delay( 250 );

  // using namespace std::chrono_literals;
  // std::this_thread::sleep_for(1s);
  //      ^^^^
  //      error: 'std::this_thread' has not been declare
  //      And actually this_thread is not declared in threads.h, but it seems to
  //      be declared in another .h (c++config.h)... Why?
}

int main()
{
  setup();

  while( true )
  {
    loop();
  }

  return 0;
}
